Bug 1254737 - Nested New Virtual Disk dialog causes FE IndexOutOfBoundsE
Nested New Virtual Disk dialog causes FE IndexOutOfBoundsE
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.6
Unspecified Unspecified
high Severity unspecified
: ---
: 3.6.0
Assigned To: Alexander Wels
Lukas Svaty
ux
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 14:18 EDT by jniederm
Modified: 2016-02-10 14:46 EST (History)
10 users (show)

See Also:
Fixed In Version: 3.6.0-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 06:33:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stack_trace.txt (14.62 KB, text/plain)
2015-08-18 14:18 EDT, jniederm
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45260 master MERGED webadmin: New Virtual disk npe Never
oVirt gerrit 45455 ovirt-engine-3.6 MERGED webadmin: New Virtual disk npe Never

  None (edit)
Description jniederm 2015-08-18 14:18:47 EDT
Created attachment 1064392 [details]
stack_trace.txt

Description of problem:
New Virtual Disk dialog invoked from New vm dialog crashes during closing.

Version-Release number of selected component (if applicable):
4.0 master, commit 0f1d7ec

How reproducible:
100%

Steps to Reproduce:
1. Open New VM dialog
2. Click "Create" button in tab General, section Instance images
3. Fill New Virtual Disk dialog, click Ok

Actual results:
FE java.lang.IndexOutOfBoundsException

Expected results:
no exception thrown
Comment 1 Tal Nisan 2015-08-19 06:06:10 EDT
Tomas, it's related to the instance types from what it seems, can you have a look?
Comment 2 jniederm 2015-08-19 06:25:45 EDT
The bug is related to Alex's code (class org.ovirt.engine.ui.common.widget.editor.ListModelMultipleSelectListBox) so reassigning back to Alex.
Comment 3 Einav Cohen 2015-08-25 14:19:10 EDT
this one is a "duplicate" of bug 1256003 (one is oVirt, the other is RHEV, therefore cannot actually close on duplicate).
Comment 4 Lukas Svaty 2015-09-16 09:48:11 EDT
verified in rhevm-webadmin-portal-3.6.0-0.15.master.el6.noarch
Comment 5 Sandro Bonazzola 2015-11-04 06:33:52 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.